<?php
date_default_timezone_set('America/Lima');
class cIngreso{
	function insertar($usureg,$usumod,$fec,$fecemi,$doc_id,$numdoc,$det,$imp,$est,$cue_id,$subcue_id,$cli_id,$caj_id,$mod_id,$modide,$forpag,$modpag,$ban_ori,$cue_ori,$cue_cli,$cob,$nroope){
		$now =  date('Y-m-d h:i:s a');
		$sql = "INSERT INTO  tb_ingreso(
		tb_ingreso_fecreg ,
		tb_ingreso_fecmod ,
		tb_ingreso_usureg ,
		tb_ingreso_usumod ,
		tb_ingreso_fec ,
		tb_ingreso_fecemi ,
		tb_documento_id ,
		tb_ingreso_numdoc ,
		tb_ingreso_det ,
		tb_ingreso_imp ,
		tb_ingreso_est ,
		tb_cuenta_id ,
		tb_subcuenta_id ,
		tb_cliente_id ,
		tb_caja_id ,
		tb_modulo_id ,
		tb_ingreso_modide,
		tb_ingreso_forpag,
		tb_ingreso_modpag,
		tb_banco_ori,
		tb_cuenta_ori,
		tb_ingreso_cuecli,
		tb_ingreso_cob,
		tb_ingreso_nroope
		)
		VALUES (
		'$now' , '$now' ,  '$usureg',  '$usumod',  '$fec','$fecemi','$doc_id',  '$numdoc',  '$det',  '$imp',  '$est', 
		'$cue_id',  '$subcue_id',  '$cli_id',  '$caj_id', '$mod_id',  '$modide', '$forpag','$modpag','$ban_ori','$cue_ori','$cue_cli','$cob','$nroope' );"; 
		//echo $sql;exit;
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	function ultimoInsert(){
		$sql = "select max(tb_ingreso_id) as 'id' from tb_ingreso "; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
		function obtener_cuenta_ingreso(){ // si quieres cambiar de cuenta
			$sql = "SELECT * FROM tb_cuenta 
			where tb_cuentatipo_id='1' 
			and tb_modulo_id = '3' 
			and tb_cuenta_xac=1";		
			$oCado = new Cado();
			$rst=$oCado->ejecute_sql($sql);
			return $rst;
		}
		function modificar($id,$usumod,$fec,$doc_id,$numdoc,$det,$imp,$est,$cue_id,$subcue_id,$caj_id){
			$now =  date('Y-m-d h:i:s a');
			$sql = "UPDATE tb_ingreso SET
			tb_ingreso_fecmod = '$now' ,
			tb_ingreso_usumod =  '$usumod',
			tb_ingreso_fec =  '$fec',
			tb_documento_id = '$doc_id',
			tb_ingreso_numdoc = '$numdoc',
			tb_ingreso_det =  '$det',
			tb_ingreso_imp =  '$imp',
			tb_ingreso_est =  '$est',
			tb_cuenta_id =  '$cue_id',
			tb_subcuenta_id =  '$subcue_id',
			tb_caja_id =  '$caj_id'
			WHERE tb_ingreso_id = '$id' "; 
			$oCado = new Cado();
			$rst=$oCado->ejecute_sql($sql);
			return $rst;	
		}
		function complete_det($emp,$det){
			$sql="SELECT DISTINCT(tb_ingreso_det) FROM tb_ingreso
			WHERE tb_empresa_id=$emp
			AND tb_ingreso_det like '%$det%'
			ORDER BY tb_ingreso_det
			LIMIT 0 , 10";
			$oCado = new Cado();
			$rst=$oCado->ejecute_sql($sql);
			return $rst;
		}
		
	function mostrar_filtro($punven_id,$caj_id,$fec1,$fec2,$cue_id,$subcue_id,$doc_id,$numdoc,$cli_id,$est,$usu_id){
		$sql="SELECT * 
		FROM tb_ingreso i
		INNER JOIN tb_caja cj ON i.tb_caja_id = cj.tb_caja_id
		inner join tb_puntoventa pv on pv.tb_puntoventa_id = cj.tb_puntoventa_id
		LEFT JOIN tb_cuenta c ON i.tb_cuenta_id = c.tb_cuenta_id
		LEFT JOIN tb_cliente cl ON i.tb_cliente_id = cl.tb_cliente_id
		LEFT JOIN tb_documento d ON i.tb_documento_id=d.tb_documento_id
		LEFT JOIN tb_subcuenta sc ON i.tb_subcuenta_id = sc.tb_subcuenta_id
		WHERE tb_ingreso_xac=1
		AND i.tb_ingreso_fec BETWEEN '$fec1' AND '$fec2' ";
		
		if($usu_id!=''){
			$sql = $sql." AND i.tb_ingreso_usureg = '$usu_id' ";
		}
		if($punven_id>0){
		 	$sql = $sql." AND pv.tb_puntoventa_id = '$punven_id'  ";
		}
		if($caj_id>0){
			$sql = $sql." AND i.tb_caja_id = $caj_id ";
		}
		if($cue_id>0){
			$sql = $sql." AND i.tb_cuenta_id = $cue_id ";
		}
		if($subcue_id>0){
			$sql = $sql." AND i.tb_subcuenta_id = $subcue_id ";
		}
		if($doc_id>0){
			$sql = $sql." AND i.tb_documento_id = $doc_id ";
		}
		if($numdoc!=""){
			$sql = $sql." AND tb_ingreso_numdoc LIKE '%$numdoc%' ";
		}
		
		if($cli_id>0){
			$sql = $sql." AND i.tb_cliente_id = $cli_id ";
		}
		if($est>0){
			$sql = $sql." AND tb_ingreso_est = '$est' ";
		}
		if($mon_id!=''){
			$sql = $sql." AND tb_moneda_id = '$mon_id' ";
		}
		
		$sql = $sql." ORDER BY i.tb_ingreso_fec ";
		//echo $sql;exit;
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function mostrar_filtro_flujo($punven_id,$y,$m,$cue_id,$subcue_id,$cli_id,$est,$caj_id){
		$sql="SELECT * 
		FROM tb_ingreso i
		INNER JOIN tb_cuenta c ON i.tb_cuenta_id = c.tb_cuenta_id
		INNER JOIN tb_caja cj ON i.tb_caja_id = cj.tb_caja_id
		inner join tb_puntoventa pv on pv.tb_puntoventa_id = cj.tb_puntoventa_id
		LEFT JOIN tb_cliente cl ON i.tb_cliente_id = cl.tb_cliente_id
		LEFT JOIN tb_documento d ON i.tb_documento_id=d.tb_documento_id
		LEFT JOIN tb_subcuenta sc ON i.tb_subcuenta_id = sc.tb_subcuenta_id
		WHERE i.tb_ingreso_xac=1 ";
		if($y>0)$sql = $sql." AND YEAR( tb_ingreso_fec ) =$y ";
		if($m>0)$sql = $sql." AND MONTH( tb_ingreso_fec ) =$m ";
		if($caj_id>0)$sql = $sql." AND i.tb_caja_id = $caj_id ";
		if($cue_id>0)$sql = $sql." AND i.tb_cuenta_id = $cue_id ";
		if($punven_id>0)$sql = $sql." AND pv.tb_puntoventa_id=$punven_id ";
		if($subcue_id>0)$sql = $sql." AND i.tb_subcuenta_id = $subcue_id ";
		
		if($cli_id>0)$sql = $sql." AND i.tb_cliente_id = $cli_id ";
		if($est!="")$sql = $sql." AND tb_ingreso_est IN ($est) ";
		
		$sql = $sql." ORDER BY tb_ingreso_fec ";
		
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function mostrar_por_modulo($mod_id,$modide,$est1,$est2){
		$sql="SELECT * 
		FROM tb_ingreso i
		INNER JOIN tb_cuenta c ON i.tb_cuenta_id = c.tb_cuenta_id
		INNER JOIN tb_caja cj ON i.tb_caja_id = cj.tb_caja_id
		LEFT JOIN tb_cliente cl ON i.tb_cliente_id = cl.tb_cliente_id
		LEFT JOIN tb_documento d ON i.tb_documento_id=d.tb_documento_id
		LEFT JOIN tb_subcuenta sc ON i.tb_subcuenta_id = sc.tb_subcuenta_id
		WHERE i.tb_ingreso_xac=1
		AND i.tb_modulo_id= '$mod_id'
		AND i.tb_ingreso_modide='$modide' ";
		if($est1!='')$sql = $sql." AND i.tb_ingreso_est IN ($est1,$est2) ";
		$sql = $sql." ORDER BY i.tb_ingreso_fec ";
		
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function ver_cobro($modide){
		$sql="select * from tb_ingreso i 
		inner join tb_caja cj on cj.tb_caja_id = i.tb_caja_id
		inner join tb_moneda mon on mon.tb_moneda_id = cj.tb_moneda_id
		where i.tb_ingreso_modide = '$modide' and i.tb_ingreso_xac = '1' "; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	function ver_dev($modide){
		$sql="select * from tb_egreso e 
		inner join tb_caja cj on cj.tb_caja_id = e.tb_caja_id
		inner join tb_moneda mon on mon.tb_moneda_id = cj.tb_moneda_id
		where e.tb_modulo_id IN(20,7) and e.tb_egreso_modide = '$modide'  and e.tb_egreso_xac = '1'"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	function mostrar_suma($punven_id,$caj_id,$fec1,$fec2,$cue_id,$subcue_id,$numdoc,$cli_id,$est){
		$sql="SELECT SUM(tb_ingreso_imp) as total 
		FROM tb_ingreso i
		left JOIN tb_cuenta c ON i.tb_cuenta_id = c.tb_cuenta_id
		INNER JOIN tb_caja cj ON i.tb_caja_id = cj.tb_caja_id
		inner join tb_puntoventa pv on pv.tb_puntoventa_id = cj.tb_puntoventa_id
		LEFT JOIN tb_cliente cl ON i.tb_cliente_id = cl.tb_cliente_id
		LEFT JOIN tb_documento d ON i.tb_documento_id=d.tb_documento_id
		LEFT JOIN tb_subcuenta sc ON i.tb_subcuenta_id = sc.tb_subcuenta_id
		WHERE tb_ingreso_xac=1
		AND tb_ingreso_fec BETWEEN '$fec1' AND '$fec2' ";
	
		if($punven_id>0){
		 	$sql = $sql." AND pv.tb_puntoventa_id='$punven_id' ";
		}
		if($caj_id>0){
			$sql = $sql." AND i.tb_caja_id = $caj_id ";
		}
		if($cue_id>0){
			$sql = $sql." AND i.tb_cuenta_id = $cue_id ";
		}
		if($subcue_id>0){
			$sql = $sql." AND i.tb_subcuenta_id = $subcue_id ";
		}
		
		if($numdoc!=""){
			$sql = $sql." AND tb_ingreso_numdoc LIKE '%$numdoc%' ";
		}
		
		if($cli_id>0){
			$sql = $sql." AND i.tb_cliente_id = $cli_id ";
		}
		if($est!=''){
			$sql = $sql." AND tb_ingreso_est IN ($est) ";
		}
		
		//$sql = $sql." ORDER BY tb_ingreso_fec ";
		
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function mostrarUno($id){
		$sql="SELECT * 
		FROM tb_ingreso i 
		left JOIN tb_cliente c ON i.tb_cliente_id=c.tb_cliente_id
		LEFT JOIN tb_documento d ON i.tb_documento_id=d.tb_documento_id
		INNER JOIN tb_caja cj ON i.tb_caja_id=cj.tb_caja_id
		WHERE tb_ingreso_id= '$id' "; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function ingreso_suma_mes($emp,$y,$m,$est){
		$sql="SELECT FORMAT(SUM( tb_ingreso_mon ),2) AS ingreso_suma_mes 
		FROM tb_ingreso
		WHERE tb_empresa_id =$emp
		AND YEAR(tb_ingreso_feccon)=$y
		";
		if($m!=0){
			$sql = $sql." AND MONTH(tb_ingreso_feccon)=$m ";
		}
		if($est!=""){
			$sql = $sql." AND tb_ingreso_est IN ('$est') ;";
		}
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	function modificar_campo($id,$usumod,$campo,$valor){
		$now =  date('Y-m-d h:i:s a');
		$sql = "UPDATE tb_ingreso SET
		tb_ingreso_fecmod = '$now' ,
		tb_ingreso_usumod =  '$usumod',
		tb_ingreso_$campo =  '$valor' 
		WHERE tb_ingreso_id =$id;"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	function modificar_ingresotranferencia($tra_id,$usu_id){
		$now =  date('Y-m-d h:i:s a');
		$sql="update tb_ingreso set 
		tb_ingreso_xac = 0,
		tb_ingreso_usumod = '$usu_id',
		tb_ingreso_fecmod = '$now'
		where tb_ingreso_modide = '$tra_id' ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	
	
}
?>